Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network153.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
153.0.0.0
Broadcast address
153.255.255.255
First usable
153.0.0.1
Last usable
153.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
B (default /16)
As numbers
Hex 99000000 · Integer 2566914048 to 2583691263
Reverse DNS zone
153.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10011001..00000000.00000000.00000000153.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network10011001..00000000.00000000.00000000153.0.0.0
Broadcast10011001..11111111.11111111.11111111153.255.255.255
Split into smaller subnets/19

153.0.0.0/8 makes 2,048 subnets of /19; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1153.0.0.0/19153.0.0.1 to 153.0.31.254153.0.31.2558,190
2153.0.32.0/19153.0.32.1 to 153.0.63.254153.0.63.2558,190
3153.0.64.0/19153.0.64.1 to 153.0.95.254153.0.95.2558,190
4153.0.96.0/19153.0.96.1 to 153.0.127.254153.0.127.2558,190
5153.0.128.0/19153.0.128.1 to 153.0.159.254153.0.159.2558,190
6153.0.160.0/19153.0.160.1 to 153.0.191.254153.0.191.2558,190
7153.0.192.0/19153.0.192.1 to 153.0.223.254153.0.223.2558,190
8153.0.224.0/19153.0.224.1 to 153.0.255.254153.0.255.2558,190
9153.1.0.0/19153.1.0.1 to 153.1.31.254153.1.31.2558,190
10153.1.32.0/19153.1.32.1 to 153.1.63.254153.1.63.2558,190
11153.1.64.0/19153.1.64.1 to 153.1.95.254153.1.95.2558,190
12153.1.96.0/19153.1.96.1 to 153.1.127.254153.1.127.2558,190
13153.1.128.0/19153.1.128.1 to 153.1.159.254153.1.159.2558,190
14153.1.160.0/19153.1.160.1 to 153.1.191.254153.1.191.2558,190
15153.1.192.0/19153.1.192.1 to 153.1.223.254153.1.223.2558,190
16153.1.224.0/19153.1.224.1 to 153.1.255.254153.1.255.2558,190
17153.2.0.0/19153.2.0.1 to 153.2.31.254153.2.31.2558,190
18153.2.32.0/19153.2.32.1 to 153.2.63.254153.2.63.2558,190
19153.2.64.0/19153.2.64.1 to 153.2.95.254153.2.95.2558,190
20153.2.96.0/19153.2.96.1 to 153.2.127.254153.2.127.2558,190
21153.2.128.0/19153.2.128.1 to 153.2.159.254153.2.159.2558,190
22153.2.160.0/19153.2.160.1 to 153.2.191.254153.2.191.2558,190
23153.2.192.0/19153.2.192.1 to 153.2.223.254153.2.223.2558,190
24153.2.224.0/19153.2.224.1 to 153.2.255.254153.2.255.2558,190
25153.3.0.0/19153.3.0.1 to 153.3.31.254153.3.31.2558,190
26153.3.32.0/19153.3.32.1 to 153.3.63.254153.3.63.2558,190
27153.3.64.0/19153.3.64.1 to 153.3.95.254153.3.95.2558,190
28153.3.96.0/19153.3.96.1 to 153.3.127.254153.3.127.2558,190
29153.3.128.0/19153.3.128.1 to 153.3.159.254153.3.159.2558,190
30153.3.160.0/19153.3.160.1 to 153.3.191.254153.3.191.2558,190
31153.3.192.0/19153.3.192.1 to 153.3.223.254153.3.223.2558,190
32153.3.224.0/19153.3.224.1 to 153.3.255.254153.3.255.2558,190
33153.4.0.0/19153.4.0.1 to 153.4.31.254153.4.31.2558,190
34153.4.32.0/19153.4.32.1 to 153.4.63.254153.4.63.2558,190
35153.4.64.0/19153.4.64.1 to 153.4.95.254153.4.95.2558,190
36153.4.96.0/19153.4.96.1 to 153.4.127.254153.4.127.2558,190
37153.4.128.0/19153.4.128.1 to 153.4.159.254153.4.159.2558,190
38153.4.160.0/19153.4.160.1 to 153.4.191.254153.4.191.2558,190
39153.4.192.0/19153.4.192.1 to 153.4.223.254153.4.223.2558,190
40153.4.224.0/19153.4.224.1 to 153.4.255.254153.4.255.2558,190
41153.5.0.0/19153.5.0.1 to 153.5.31.254153.5.31.2558,190
42153.5.32.0/19153.5.32.1 to 153.5.63.254153.5.63.2558,190
43153.5.64.0/19153.5.64.1 to 153.5.95.254153.5.95.2558,190
44153.5.96.0/19153.5.96.1 to 153.5.127.254153.5.127.2558,190
45153.5.128.0/19153.5.128.1 to 153.5.159.254153.5.159.2558,190
46153.5.160.0/19153.5.160.1 to 153.5.191.254153.5.191.2558,190
47153.5.192.0/19153.5.192.1 to 153.5.223.254153.5.223.2558,190
48153.5.224.0/19153.5.224.1 to 153.5.255.254153.5.255.2558,190
49153.6.0.0/19153.6.0.1 to 153.6.31.254153.6.31.2558,190
50153.6.32.0/19153.6.32.1 to 153.6.63.254153.6.63.2558,190
51153.6.64.0/19153.6.64.1 to 153.6.95.254153.6.95.2558,190
52153.6.96.0/19153.6.96.1 to 153.6.127.254153.6.127.2558,190
53153.6.128.0/19153.6.128.1 to 153.6.159.254153.6.159.2558,190
54153.6.160.0/19153.6.160.1 to 153.6.191.254153.6.191.2558,190
55153.6.192.0/19153.6.192.1 to 153.6.223.254153.6.223.2558,190
56153.6.224.0/19153.6.224.1 to 153.6.255.254153.6.255.2558,190
57153.7.0.0/19153.7.0.1 to 153.7.31.254153.7.31.2558,190
58153.7.32.0/19153.7.32.1 to 153.7.63.254153.7.63.2558,190
59153.7.64.0/19153.7.64.1 to 153.7.95.254153.7.95.2558,190
60153.7.96.0/19153.7.96.1 to 153.7.127.254153.7.127.2558,190
61153.7.128.0/19153.7.128.1 to 153.7.159.254153.7.159.2558,190
62153.7.160.0/19153.7.160.1 to 153.7.191.254153.7.191.2558,190
63153.7.192.0/19153.7.192.1 to 153.7.223.254153.7.223.2558,190
64153.7.224.0/19153.7.224.1 to 153.7.255.254153.7.255.2558,190
65153.8.0.0/19153.8.0.1 to 153.8.31.254153.8.31.2558,190
66153.8.32.0/19153.8.32.1 to 153.8.63.254153.8.63.2558,190
67153.8.64.0/19153.8.64.1 to 153.8.95.254153.8.95.2558,190
68153.8.96.0/19153.8.96.1 to 153.8.127.254153.8.127.2558,190
69153.8.128.0/19153.8.128.1 to 153.8.159.254153.8.159.2558,190
70153.8.160.0/19153.8.160.1 to 153.8.191.254153.8.191.2558,190
71153.8.192.0/19153.8.192.1 to 153.8.223.254153.8.223.2558,190
72153.8.224.0/19153.8.224.1 to 153.8.255.254153.8.255.2558,190
73153.9.0.0/19153.9.0.1 to 153.9.31.254153.9.31.2558,190
74153.9.32.0/19153.9.32.1 to 153.9.63.254153.9.63.2558,190
75153.9.64.0/19153.9.64.1 to 153.9.95.254153.9.95.2558,190
76153.9.96.0/19153.9.96.1 to 153.9.127.254153.9.127.2558,190
77153.9.128.0/19153.9.128.1 to 153.9.159.254153.9.159.2558,190
78153.9.160.0/19153.9.160.1 to 153.9.191.254153.9.191.2558,190
79153.9.192.0/19153.9.192.1 to 153.9.223.254153.9.223.2558,190
80153.9.224.0/19153.9.224.1 to 153.9.255.254153.9.255.2558,190
81153.10.0.0/19153.10.0.1 to 153.10.31.254153.10.31.2558,190
82153.10.32.0/19153.10.32.1 to 153.10.63.254153.10.63.2558,190
83153.10.64.0/19153.10.64.1 to 153.10.95.254153.10.95.2558,190
84153.10.96.0/19153.10.96.1 to 153.10.127.254153.10.127.2558,190
85153.10.128.0/19153.10.128.1 to 153.10.159.254153.10.159.2558,190
86153.10.160.0/19153.10.160.1 to 153.10.191.254153.10.191.2558,190
87153.10.192.0/19153.10.192.1 to 153.10.223.254153.10.223.2558,190
88153.10.224.0/19153.10.224.1 to 153.10.255.254153.10.255.2558,190
89153.11.0.0/19153.11.0.1 to 153.11.31.254153.11.31.2558,190
90153.11.32.0/19153.11.32.1 to 153.11.63.254153.11.63.2558,190
91153.11.64.0/19153.11.64.1 to 153.11.95.254153.11.95.2558,190
92153.11.96.0/19153.11.96.1 to 153.11.127.254153.11.127.2558,190
93153.11.128.0/19153.11.128.1 to 153.11.159.254153.11.159.2558,190
94153.11.160.0/19153.11.160.1 to 153.11.191.254153.11.191.2558,190
95153.11.192.0/19153.11.192.1 to 153.11.223.254153.11.223.2558,190
96153.11.224.0/19153.11.224.1 to 153.11.255.254153.11.255.2558,190
97153.12.0.0/19153.12.0.1 to 153.12.31.254153.12.31.2558,190
98153.12.32.0/19153.12.32.1 to 153.12.63.254153.12.63.2558,190
99153.12.64.0/19153.12.64.1 to 153.12.95.254153.12.95.2558,190
100153.12.96.0/19153.12.96.1 to 153.12.127.254153.12.127.2558,190
101153.12.128.0/19153.12.128.1 to 153.12.159.254153.12.159.2558,190
102153.12.160.0/19153.12.160.1 to 153.12.191.254153.12.191.2558,190
103153.12.192.0/19153.12.192.1 to 153.12.223.254153.12.223.2558,190
104153.12.224.0/19153.12.224.1 to 153.12.255.254153.12.255.2558,190
105153.13.0.0/19153.13.0.1 to 153.13.31.254153.13.31.2558,190
106153.13.32.0/19153.13.32.1 to 153.13.63.254153.13.63.2558,190
107153.13.64.0/19153.13.64.1 to 153.13.95.254153.13.95.2558,190
108153.13.96.0/19153.13.96.1 to 153.13.127.254153.13.127.2558,190
109153.13.128.0/19153.13.128.1 to 153.13.159.254153.13.159.2558,190
110153.13.160.0/19153.13.160.1 to 153.13.191.254153.13.191.2558,190
111153.13.192.0/19153.13.192.1 to 153.13.223.254153.13.223.2558,190
112153.13.224.0/19153.13.224.1 to 153.13.255.254153.13.255.2558,190
113153.14.0.0/19153.14.0.1 to 153.14.31.254153.14.31.2558,190
114153.14.32.0/19153.14.32.1 to 153.14.63.254153.14.63.2558,190
115153.14.64.0/19153.14.64.1 to 153.14.95.254153.14.95.2558,190
116153.14.96.0/19153.14.96.1 to 153.14.127.254153.14.127.2558,190
117153.14.128.0/19153.14.128.1 to 153.14.159.254153.14.159.2558,190
118153.14.160.0/19153.14.160.1 to 153.14.191.254153.14.191.2558,190
119153.14.192.0/19153.14.192.1 to 153.14.223.254153.14.223.2558,190
120153.14.224.0/19153.14.224.1 to 153.14.255.254153.14.255.2558,190
121153.15.0.0/19153.15.0.1 to 153.15.31.254153.15.31.2558,190
122153.15.32.0/19153.15.32.1 to 153.15.63.254153.15.63.2558,190
123153.15.64.0/19153.15.64.1 to 153.15.95.254153.15.95.2558,190
124153.15.96.0/19153.15.96.1 to 153.15.127.254153.15.127.2558,190
125153.15.128.0/19153.15.128.1 to 153.15.159.254153.15.159.2558,190
126153.15.160.0/19153.15.160.1 to 153.15.191.254153.15.191.2558,190
127153.15.192.0/19153.15.192.1 to 153.15.223.254153.15.223.2558,190
128153.15.224.0/19153.15.224.1 to 153.15.255.254153.15.255.2558,190
129153.16.0.0/19153.16.0.1 to 153.16.31.254153.16.31.2558,190
130153.16.32.0/19153.16.32.1 to 153.16.63.254153.16.63.2558,190
131153.16.64.0/19153.16.64.1 to 153.16.95.254153.16.95.2558,190
132153.16.96.0/19153.16.96.1 to 153.16.127.254153.16.127.2558,190
133153.16.128.0/19153.16.128.1 to 153.16.159.254153.16.159.2558,190
134153.16.160.0/19153.16.160.1 to 153.16.191.254153.16.191.2558,190
135153.16.192.0/19153.16.192.1 to 153.16.223.254153.16.223.2558,190
136153.16.224.0/19153.16.224.1 to 153.16.255.254153.16.255.2558,190
137153.17.0.0/19153.17.0.1 to 153.17.31.254153.17.31.2558,190
138153.17.32.0/19153.17.32.1 to 153.17.63.254153.17.63.2558,190
139153.17.64.0/19153.17.64.1 to 153.17.95.254153.17.95.2558,190
140153.17.96.0/19153.17.96.1 to 153.17.127.254153.17.127.2558,190
141153.17.128.0/19153.17.128.1 to 153.17.159.254153.17.159.2558,190
142153.17.160.0/19153.17.160.1 to 153.17.191.254153.17.191.2558,190
143153.17.192.0/19153.17.192.1 to 153.17.223.254153.17.223.2558,190
144153.17.224.0/19153.17.224.1 to 153.17.255.254153.17.255.2558,190
145153.18.0.0/19153.18.0.1 to 153.18.31.254153.18.31.2558,190
146153.18.32.0/19153.18.32.1 to 153.18.63.254153.18.63.2558,190
147153.18.64.0/19153.18.64.1 to 153.18.95.254153.18.95.2558,190
148153.18.96.0/19153.18.96.1 to 153.18.127.254153.18.127.2558,190
149153.18.128.0/19153.18.128.1 to 153.18.159.254153.18.159.2558,190
150153.18.160.0/19153.18.160.1 to 153.18.191.254153.18.191.2558,190
151153.18.192.0/19153.18.192.1 to 153.18.223.254153.18.223.2558,190
152153.18.224.0/19153.18.224.1 to 153.18.255.254153.18.255.2558,190
153153.19.0.0/19153.19.0.1 to 153.19.31.254153.19.31.2558,190
154153.19.32.0/19153.19.32.1 to 153.19.63.254153.19.63.2558,190
155153.19.64.0/19153.19.64.1 to 153.19.95.254153.19.95.2558,190
156153.19.96.0/19153.19.96.1 to 153.19.127.254153.19.127.2558,190
157153.19.128.0/19153.19.128.1 to 153.19.159.254153.19.159.2558,190
158153.19.160.0/19153.19.160.1 to 153.19.191.254153.19.191.2558,190
159153.19.192.0/19153.19.192.1 to 153.19.223.254153.19.223.2558,190
160153.19.224.0/19153.19.224.1 to 153.19.255.254153.19.255.2558,190
161153.20.0.0/19153.20.0.1 to 153.20.31.254153.20.31.2558,190
162153.20.32.0/19153.20.32.1 to 153.20.63.254153.20.63.2558,190
163153.20.64.0/19153.20.64.1 to 153.20.95.254153.20.95.2558,190
164153.20.96.0/19153.20.96.1 to 153.20.127.254153.20.127.2558,190
165153.20.128.0/19153.20.128.1 to 153.20.159.254153.20.159.2558,190
166153.20.160.0/19153.20.160.1 to 153.20.191.254153.20.191.2558,190
167153.20.192.0/19153.20.192.1 to 153.20.223.254153.20.223.2558,190
168153.20.224.0/19153.20.224.1 to 153.20.255.254153.20.255.2558,190
169153.21.0.0/19153.21.0.1 to 153.21.31.254153.21.31.2558,190
170153.21.32.0/19153.21.32.1 to 153.21.63.254153.21.63.2558,190
171153.21.64.0/19153.21.64.1 to 153.21.95.254153.21.95.2558,190
172153.21.96.0/19153.21.96.1 to 153.21.127.254153.21.127.2558,190
173153.21.128.0/19153.21.128.1 to 153.21.159.254153.21.159.2558,190
174153.21.160.0/19153.21.160.1 to 153.21.191.254153.21.191.2558,190
175153.21.192.0/19153.21.192.1 to 153.21.223.254153.21.223.2558,190
176153.21.224.0/19153.21.224.1 to 153.21.255.254153.21.255.2558,190
177153.22.0.0/19153.22.0.1 to 153.22.31.254153.22.31.2558,190
178153.22.32.0/19153.22.32.1 to 153.22.63.254153.22.63.2558,190
179153.22.64.0/19153.22.64.1 to 153.22.95.254153.22.95.2558,190
180153.22.96.0/19153.22.96.1 to 153.22.127.254153.22.127.2558,190
181153.22.128.0/19153.22.128.1 to 153.22.159.254153.22.159.2558,190
182153.22.160.0/19153.22.160.1 to 153.22.191.254153.22.191.2558,190
183153.22.192.0/19153.22.192.1 to 153.22.223.254153.22.223.2558,190
184153.22.224.0/19153.22.224.1 to 153.22.255.254153.22.255.2558,190
185153.23.0.0/19153.23.0.1 to 153.23.31.254153.23.31.2558,190
186153.23.32.0/19153.23.32.1 to 153.23.63.254153.23.63.2558,190
187153.23.64.0/19153.23.64.1 to 153.23.95.254153.23.95.2558,190
188153.23.96.0/19153.23.96.1 to 153.23.127.254153.23.127.2558,190
189153.23.128.0/19153.23.128.1 to 153.23.159.254153.23.159.2558,190
190153.23.160.0/19153.23.160.1 to 153.23.191.254153.23.191.2558,190
191153.23.192.0/19153.23.192.1 to 153.23.223.254153.23.223.2558,190
192153.23.224.0/19153.23.224.1 to 153.23.255.254153.23.255.2558,190
193153.24.0.0/19153.24.0.1 to 153.24.31.254153.24.31.2558,190
194153.24.32.0/19153.24.32.1 to 153.24.63.254153.24.63.2558,190
195153.24.64.0/19153.24.64.1 to 153.24.95.254153.24.95.2558,190
196153.24.96.0/19153.24.96.1 to 153.24.127.254153.24.127.2558,190
197153.24.128.0/19153.24.128.1 to 153.24.159.254153.24.159.2558,190
198153.24.160.0/19153.24.160.1 to 153.24.191.254153.24.191.2558,190
199153.24.192.0/19153.24.192.1 to 153.24.223.254153.24.223.2558,190
200153.24.224.0/19153.24.224.1 to 153.24.255.254153.24.255.2558,190
201153.25.0.0/19153.25.0.1 to 153.25.31.254153.25.31.2558,190
202153.25.32.0/19153.25.32.1 to 153.25.63.254153.25.63.2558,190
203153.25.64.0/19153.25.64.1 to 153.25.95.254153.25.95.2558,190
204153.25.96.0/19153.25.96.1 to 153.25.127.254153.25.127.2558,190
205153.25.128.0/19153.25.128.1 to 153.25.159.254153.25.159.2558,190
206153.25.160.0/19153.25.160.1 to 153.25.191.254153.25.191.2558,190
207153.25.192.0/19153.25.192.1 to 153.25.223.254153.25.223.2558,190
208153.25.224.0/19153.25.224.1 to 153.25.255.254153.25.255.2558,190
209153.26.0.0/19153.26.0.1 to 153.26.31.254153.26.31.2558,190
210153.26.32.0/19153.26.32.1 to 153.26.63.254153.26.63.2558,190
211153.26.64.0/19153.26.64.1 to 153.26.95.254153.26.95.2558,190
212153.26.96.0/19153.26.96.1 to 153.26.127.254153.26.127.2558,190
213153.26.128.0/19153.26.128.1 to 153.26.159.254153.26.159.2558,190
214153.26.160.0/19153.26.160.1 to 153.26.191.254153.26.191.2558,190
215153.26.192.0/19153.26.192.1 to 153.26.223.254153.26.223.2558,190
216153.26.224.0/19153.26.224.1 to 153.26.255.254153.26.255.2558,190
217153.27.0.0/19153.27.0.1 to 153.27.31.254153.27.31.2558,190
218153.27.32.0/19153.27.32.1 to 153.27.63.254153.27.63.2558,190
219153.27.64.0/19153.27.64.1 to 153.27.95.254153.27.95.2558,190
220153.27.96.0/19153.27.96.1 to 153.27.127.254153.27.127.2558,190
221153.27.128.0/19153.27.128.1 to 153.27.159.254153.27.159.2558,190
222153.27.160.0/19153.27.160.1 to 153.27.191.254153.27.191.2558,190
223153.27.192.0/19153.27.192.1 to 153.27.223.254153.27.223.2558,190
224153.27.224.0/19153.27.224.1 to 153.27.255.254153.27.255.2558,190
225153.28.0.0/19153.28.0.1 to 153.28.31.254153.28.31.2558,190
226153.28.32.0/19153.28.32.1 to 153.28.63.254153.28.63.2558,190
227153.28.64.0/19153.28.64.1 to 153.28.95.254153.28.95.2558,190
228153.28.96.0/19153.28.96.1 to 153.28.127.254153.28.127.2558,190
229153.28.128.0/19153.28.128.1 to 153.28.159.254153.28.159.2558,190
230153.28.160.0/19153.28.160.1 to 153.28.191.254153.28.191.2558,190
231153.28.192.0/19153.28.192.1 to 153.28.223.254153.28.223.2558,190
232153.28.224.0/19153.28.224.1 to 153.28.255.254153.28.255.2558,190
233153.29.0.0/19153.29.0.1 to 153.29.31.254153.29.31.2558,190
234153.29.32.0/19153.29.32.1 to 153.29.63.254153.29.63.2558,190
235153.29.64.0/19153.29.64.1 to 153.29.95.254153.29.95.2558,190
236153.29.96.0/19153.29.96.1 to 153.29.127.254153.29.127.2558,190
237153.29.128.0/19153.29.128.1 to 153.29.159.254153.29.159.2558,190
238153.29.160.0/19153.29.160.1 to 153.29.191.254153.29.191.2558,190
239153.29.192.0/19153.29.192.1 to 153.29.223.254153.29.223.2558,190
240153.29.224.0/19153.29.224.1 to 153.29.255.254153.29.255.2558,190
241153.30.0.0/19153.30.0.1 to 153.30.31.254153.30.31.2558,190
242153.30.32.0/19153.30.32.1 to 153.30.63.254153.30.63.2558,190
243153.30.64.0/19153.30.64.1 to 153.30.95.254153.30.95.2558,190
244153.30.96.0/19153.30.96.1 to 153.30.127.254153.30.127.2558,190
245153.30.128.0/19153.30.128.1 to 153.30.159.254153.30.159.2558,190
246153.30.160.0/19153.30.160.1 to 153.30.191.254153.30.191.2558,190
247153.30.192.0/19153.30.192.1 to 153.30.223.254153.30.223.2558,190
248153.30.224.0/19153.30.224.1 to 153.30.255.254153.30.255.2558,190
249153.31.0.0/19153.31.0.1 to 153.31.31.254153.31.31.2558,190
250153.31.32.0/19153.31.32.1 to 153.31.63.254153.31.63.2558,190
251153.31.64.0/19153.31.64.1 to 153.31.95.254153.31.95.2558,190
252153.31.96.0/19153.31.96.1 to 153.31.127.254153.31.127.2558,190
253153.31.128.0/19153.31.128.1 to 153.31.159.254153.31.159.2558,190
254153.31.160.0/19153.31.160.1 to 153.31.191.254153.31.191.2558,190
255153.31.192.0/19153.31.192.1 to 153.31.223.254153.31.223.2558,190
256153.31.224.0/19153.31.224.1 to 153.31.255.254153.31.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses